// Conductor for cut plastic M3-screws / Hall sensors

include <ISOThread.scad>;

$fn=128;

module inner () {
	difference() {
		union () {
			difference() {
				translate([0,0,8]) cube([10,6.4,16], center=true);
				translate([0,0,-1]) cylinder(d=3, h=18);
			}
            translate([0,0,-1]) thread_in(3,17);
            translate([5,0,0]) cylinder(d=1.2,h=16);
            translate([-5,0,0]) cylinder(d=1.2,h=16);
        }
		translate([0,0,-1.5]) cube([12,12,3], center=true);
		translate([0,0,1.5+15.5]) cube([12,12,3], center=true);
		//
		translate([0,1.1,6.5]) rotate([0.5,0,0]) translate([0,3,7.5]) cube([12,6,15], center=true);
		translate([0,-1.1,6.5]) rotate([-0.5,0,0]) translate([0,-3,7.5]) cube([12,6,15], center=true);
	}
}

module outer() {
    difference() {
        translate([0,2.1,7.75]) cube([14,6.2,15.5], center=true);
        translate([0,0,7.75]) cube([10.2,2.4,16.5], center=true);
        translate([0,0,-1+3.75]) cube([10.2,6.6,7.5], center=true);
        translate([5,0,-1]) cylinder(d=1.25,h=17);
        translate([-5,0,-1]) cylinder(d=1.25,h=17);
        translate([0,0,-1]) cylinder(d=3.2,h=17);
    }
}

inner();
//translate([0,10,0]) outer();
//rotate([0,180,0]) outer();